6.0.0-git
2019-03-20

[#10282] Create New Folder not working
Summary Create New Folder not working
Queue Ingo
Queue Version 2.0.2
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester steti (at) monmouth (dot) com
Created 2011-06-27 (2823 days ago)
Due
Updated 2011-09-02 (2756 days ago)
Assigned 2011-06-28 (2822 days ago)
Resolved 2011-07-14 (2806 days ago)
Milestone
Patch No

History
2011-09-02 08:41:32 giunta (at) sissa (dot) it Comment #8 Reply to this comment
This doesn't magically fix existing filter scripts. You need to 
update or re-create that rule, and save the script again.
yes, of course ... If I try to update 'Spam' filter rule, it doesn't work ...
2011-09-02 08:30:55 Jan Schneider Comment #7 Reply to this comment
This doesn't magically fix existing filter scripts. You need to update 
or re-create that rule, and save the script again.
2011-09-02 07:24:52 giunta (at) sissa (dot) it Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10282: Additional fixes when creating new mailboxes

  3 files changed, 12 insertions(+), 12 deletions(-)
http://git.horde.org/horde-git/-/commit/b6426954c719dd09015c1d024920dec1a03f294d
I'm sorry but problems are still there:

# Spam Filter
if allof ( not header :comparator "i;ascii-casemap" :contains "X-Spam" 
"-", header :value "ge" :comparator "i;ascii-numeric" "X-Spam" ["5"] ) {
      fileinto "Select target folder:";
      stop;
  }

and

# Spam Filter
  if allof ( not header :comparator "i;ascii-casemap" :contains 
"X-Spam" "-", header :value "ge" :comparator "i;ascii-numeric" 
"X-Spam" ["5"] ) {
      fileinto "Create new folder [pluto]";
      stop;
  }


2011-09-01 21:00:08 Git Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10282: Additional fixes when creating new mailboxes

  3 files changed, 12 insertions(+), 12 deletions(-)
http://git.horde.org/horde-git/-/commit/b6426954c719dd09015c1d024920dec1a03f294d
2011-08-31 09:30:54 giunta (at) sissa (dot) it Comment #4 Reply to this comment
Create new folder still does't work on 'Spam' rule; if I select 
'Create new folder', java pop-up appears, I enter 'minni' as new 
folder name, but after press 'Save', rule is saved on my managesieve 
server in this way:

# Spam Filter
  if allof ( not header :comparator "i;ascii-casemap" :contains 
"X-Spam" "-", header :value "ge" :comparator "i;ascii-numeric" 
"X-Spam" ["5"] ) {
      fileinto "Create new folder [minni]";
     stop;
  }

this appends ONLY on 'Spam' rule, 'Blacklist' and 'New Rule' work well ...

Similar problem, if I don't select any folder and leave selection on 
'Select target folder:'; if I press save button (on 'Blacklist', 
'Spam' and 'New Rule') rule is saved in this way:

# Blacklisted Addresses
if address :all :comparator "i;ascii-casemap" :is ["From", "Sender", 
"Resent-From"] "pippo@pluto.com"  {
      fileinto "Select target folder:";
      stop;
  }

  # test 3
  if address :all :comparator "i;ascii-casemap" :contains "To" "pippo"  {
      fileinto "Select target folder:";
      stop;
2011-07-14 05:50:10 Michael Slusarz State ⇒ Resolved
 
2011-07-14 05:49:50 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10282: Fix creating new mailbox in Ingo

  4 files changed, 12 insertions(+), 11 deletions(-)
http://git.horde.org/horde-git/-/commit/768fb076fc354ed40e83e979af981fa63476b166
2011-06-28 16:42:25 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2011-06-27 21:46:52 steti (at) monmouth (dot) com Comment #2
New Attachment: 0001-Fixed-bug-ID-10282-with-Create-new-folder-not-workin.patch Download
Reply to this comment
I believe I fixed the issue.  Attached a patch against git master.
2011-06-27 14:24:59 steti (at) monmouth (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Create New Folder not working
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
For example, I create a new filter rule as follows:

Rule name: Test rule
Subject contains: test
Deliver to folder...
I select the "Create new folder" option from the select menu, and I 
get a Javascript popup asking for the new folder name.  I input the 
name "test" (without the quotes), and the select menu updates to read 
"Create new folder [test]".

However, the "test" folder is never created.  If I look at the Sieve 
script that was uploaded to the server, the rule reads

fileinto "Create new folder [test]";

My server setup is as follows:


My server setup is as follows:

CentOS 5.6 x86_64
Apache 2.2.3 installed via yum from CentOS repo
PHP 5.3.3 installed via yum from CentOS repo
Horde 4.0.6 installed via Pear
Ingo 2.0.2 installed via Pear. Backend: sieve with timsieved (Dovecot 
Pigeonhole)
Net_Sieve 1.3.0 installed via Pear
Dovecot 2.0.13 installed from source
Dovecot Pigeonhole 0.2.3 installed from source

A few extra data points:

  - I have no trouble creating new folders via IMAP in Imp or from 
another IMAP client.
  - Pigeonhole is configured with "sieve_extensions = +notify 
+imapflags", the rest of the config is default.

Saved Queries